Package org.kapott.hbci.passport.storage.format.legacy

## Class AbstractConverter

- java.lang.Object
- - org.kapott.hbci.passport.storage.format.legacy.AbstractConverter

All Implemented Interfaces:
  `Converter`

Direct Known Subclasses:
  `AbstractConverterXML`, `ConverterDDV`, `ConverterPinTan`

    public abstract class AbstractConverter
    extends java.lang.Object
    implements Converter

Basis-Klasse der Converter.

### Constructor Summary

Constructors
`AbstractConverter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getSalt()` Liefert den zu verwendenden Salt.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.kapott.hbci.passport.storage.format.legacy.Converter

`load, save, supports`

### Constructor Detail

#### AbstractConverter

    public AbstractConverter()

### Method Detail

#### getSalt

    public byte[] getSalt()

Description copied from interface: `Converter`
Liefert den zu verwendenden Salt.

Specified by:
  `getSalt` in interface `Converter`
Returns:
  das zu verwendende Salt.
See Also:
  `Converter.getSalt()`